- Main Page
- Modules
- Namespaces
- Classes
- Files

# tunerchannel.h File Reference

`#include <glibmm.h>`
`#include <glibmm/object.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::TunerChannel
| Gst::TunerChannel - A channel from an element implementing the Gst::Tuner interface. More...
## Enumerations
enum | Gst::TunerChannelFlags { Gst::TUNER_CHANNEL_INPUT = 1<<0, Gst::TUNER_CHANNEL_OUTPUT = 1<<1, Gst::TUNER_CHANNEL_FREQUENCY = 1<<2, Gst::TUNER_CHANNEL_AUDIO = 1<<3 }
| Bitwise operators: `TunerChannelFlags operator|(TunerChannelFlags, TunerChannelFlags)` `TunerChannelFlags operator&(TunerChannelFlags, TunerChannelFlags)` `TunerChannelFlags operator^(TunerChannelFlags, TunerChannelFlags)` `TunerChannelFlags operator~(TunerChannelFlags)` `TunerChannelFlags& operator|=(TunerChannelFlags&, TunerChannelFlags)` `TunerChannelFlags& operator&=(TunerChannelFlags&, TunerChannelFlags)` `TunerChannelFlags& operator^=(TunerChannelFlags&, TunerChannelFlags)` More...
## Functions
TunerChannelFlags | Gst::operator| (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator& (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator^ (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator~ (TunerChannelFlags flags)
TunerChannelFlags& | Gst::operator|= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator&= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator^= (TunerChannelFlags& lhs, TunerChannelFlags rhs)